--- old/usr/src/cmd/mdb/common/modules/genunix/vfs.c	2016-02-08 20:19:28.347623214 -0500
+++ new/usr/src/cmd/mdb/common/modules/genunix/vfs.c	2016-02-08 20:19:28.362820949 -0500
@@ -528,7 +528,7 @@
 }
 
 const struct fs_type {
-	int type;
+	vtype_t type;
 	const char *name;
 } fs_types[] = {
 	{ VNON,   "NON" },
@@ -947,9 +947,11 @@
 	}
 
 	type = "?";
-	for (i = 0; i <= NUM_FS_TYPES; i++) {
-		if (fs_types[i].type == v.v_type)
+	for (i = 0; i < NUM_FS_TYPES; i++) {
+		if (fs_types[i].type == v.v_type) {
 			type = fs_types[i].name;
+			break;
+		}
 	}
 
 	do {
